*Purpose: Create formats for puout16a;


proc format lib=work;

proc format lib=work;
value $YESNO
'Y'	=	'YYes'
'N'	=	'NNo'
;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-4'	=	'Not Applicable'
;
value $OUTF
'CE'	= 	'CECentral Library'
'BR'	=	'BRBranch Library'
'BS'	=	'BSBookmobile(s)'
'MO'	=	'MOBooks-by-Mail Only'
;
value SQFTF
-3		=	'-3Closed or temporarily closed outlet'
-1		=	'-1Missing'
-4		=	'-4Not Applicable'
;
value $STATSF
'00'	=	'00No change from last year'
'01'	=	'01Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02Newly created Administrative Entity or Outlet'
'03'	=	'03Closed'
'04'	=	'04Move Outlet to a newly created Administrative Entity'
'05'	=	'05Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08Restored a closed Administrative Entity or Outlet record'
'09'	=	'09Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10Delete an incorrect record'
'11'	=	'11Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22Future Administrative Entity FSCS ID Request'
'23'	=	'23Temporary Closure'
'24'	=	'24Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
;
value $STATNF
'00'	=	'00No change from last year'
'06'	=	'06Official name change'
'14'	=	'14Minor name change'
;
value $STATAF
'00'	=	'00No change from last year'
'07'	=	'07Moved to a new location'
'15'	=	'15Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11City, Large'
'12'	=	'12City, Mid-size'
'13'	=	'13City, Small'
'21'	=	'21Suburb, Large'
'22'	=	'22Suburb, Mid-size'
'23'	=	'23Suburb, Small'
'31'	=	'31Town, Fringe'
'32'	=	'32Town, Distant'
'33'	=	'33Town, Remote'
'41'	=	'41Rural, Fringe'
'42'	=	'42Rural, Distant'
'43'	=	'43Rural, Remote'
;
value $REAPLOCF
'M'		=	'Missing'
'01'	=	'01Large City'
'02'	=	'02Mid-size city'
'03'	=	'03Urban Fringe of a Large City'
'04'	=	'04Urban Fringe of a Mid-size City'
'05'	=	'05Large town'
'06'	=	'06Small town'
'07'	=	'07Rural, Outside Metropolitan Area'
'08'	=	'08Rural, Inside Metropolitan Area'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'M'	=	'Missing'
'0'	=	'0Micropolitan area'
'1'	=	'1Metropolitan area'
;
value $MSTATF
'M'	=	'Missing'
'E'	=	'EMatch'
'T'	=	'TTie'
'U'	=	'UUnmatch'
;
value MISS1F
-1	=	'-1Missing'
;
value MISS3F
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed outlet'
;
value CENF
-1	=	'-1Missing'
;
value $IMPF
'R_16'	=	'R_16Data were reported and not imputed'
'IG15'	=	'IG15Prior year data multiplied by cell mean growth rate'
'IG14'	=	'IG14Prior year data multiplied by cell mean growth rate'
'IG13'	=	'IG13Prior year data multiplied by cell mean growth rate'
'IG12'	=	'IG12Prior year data multiplied by cell mean growth rate'
'IQ16'	=	'IQ16Adjusted cell mean'
'IJ16'	=	'IJ16Unadjusted cell mean'
'IK15'	=	'IK15Prior year ratio to another item'
'IK14'	=	'IK14Prior year ratio to another item'
'IK13'	=	'IK13Prior year ratio to another item'
'IK12'	=	'IK12Prior year ratio to another item'
'ID16'	=	'ID16Cell median ratio to another item'
'IP15'	=	'IP15Data carried forward'
'IP14'	=	'IP14Data carried forward'
'IP13'	=	'IP13Data carried forward'
'IP12'	=	'IP12Data carried forward'
'IM16'	=	'IM16Unadjusted cell median'
'IT16'	=	'IT16Total to detail items'
'IB16'	=	'IB16Raking of detail items to match totals'
'IS16'	=	'IS16Special imputation procedures'
'IY16'	=	'IY16Consistency check derived value'
'U_16'	=	'U_16Outlying area or closed/temporary closure-no imputation done'
'M_16' = 	'M_16Insufficient prior year data-no imputation done'
'N_16' =  	'N_16Item not applicable-no imputation done'
'H_16'	=	'H_16Data were suppressed'
;
run;
